Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.camel
Class CamelHandlerFactory

    java.lang.Object
      org.jbpm.process.workitem.camel.CamelHandlerFactory

    public class CamelHandlerFactory

extends Object

Constructor Summary
`CamelHandlerFactory()`

Method Summary
`static CamelHandler` | `cxfHandler()`
`static CamelHandler` | `fileHandler()`
`static CamelHandler` | `ftpHandler()`
`static CamelHandler` | `ftpsHandler()`
`static CamelHandler` | `genericHandler(String schema, String pathLocation)`
`static CamelHandler` | `jmsHandler()`
`static CamelHandler` | `sftpHandler()`
`static CamelHandler` | `sqlHandler()`
`static CamelHandler` | `xsltHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CamelHandlerFactory

    public CamelHandlerFactory()

Method Detail

### sftpHandler

    public static CamelHandler sftpHandler()

### ftpHandler

    public static CamelHandler ftpHandler()

### ftpsHandler

    public static CamelHandler ftpsHandler()

### cxfHandler

    public static CamelHandler cxfHandler()

### fileHandler

    public static CamelHandler fileHandler()

### xsltHandler

    public static CamelHandler xsltHandler()

### jmsHandler

    public static CamelHandler jmsHandler()

### sqlHandler

    public static CamelHandler sqlHandler()

### genericHandler

    public static CamelHandler genericHandler(String schema,
                                              String pathLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.